pidgin: FinchBlistManager Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
FinchBlistManager Struct Reference

Buddylist manager for finch. More...

`#include <gntblist.h>`

## Data Fields
const char * | id
| An identifier for the manager.
const char * | name
| Displayable name for the manager.
gboolean(* | init )(void)
| Called right before it's being used.
gboolean(* | uninit )(void)
| Called right after it's not being used any more.
gboolean(* | can_add_node )(PurpleBlistNode *node)
| Whether a node should be added to the view.
gpointer(* | find_parent )(PurpleBlistNode *node)
| Find the parent row for a node.
gboolean(* | create_tooltip )(gpointer selected_row, GString **body, char **title)
| Create tooltip for a selected row.
gpointer | reserved [4]

## Detailed Description

Buddylist manager for finch.

This decides the visility, ordering and hierarchy of the buddylist nodes. This also manages the creation of tooltips.

Definition at line 41 of file gntblist.h.

## Field Documentation

## ◆ can_add_node

gboolean(* FinchBlistManager::can_add_node) (PurpleBlistNode *node)

Whether a node should be added to the view.

Definition at line 47 of file gntblist.h.

## ◆ create_tooltip

gboolean(* FinchBlistManager::create_tooltip) (gpointer selected_row, GString **body, char **title)

Create tooltip for a selected row.

Definition at line 49 of file gntblist.h.

## ◆ find_parent

gpointer(* FinchBlistManager::find_parent) (PurpleBlistNode *node)

Find the parent row for a node.

Definition at line 48 of file gntblist.h.

## ◆ id

const char* FinchBlistManager::id

An identifier for the manager.

Definition at line 43 of file gntblist.h.

## ◆ init

gboolean(* FinchBlistManager::init) (void)

Called right before it's being used.

Definition at line 45 of file gntblist.h.

## ◆ name

const char* FinchBlistManager::name

Displayable name for the manager.

Definition at line 44 of file gntblist.h.

## ◆ reserved

gpointer FinchBlistManager::reserved[4]

Definition at line 50 of file gntblist.h.

## ◆ uninit

gboolean(* FinchBlistManager::uninit) (void)

Called right after it's not being used any more.

Definition at line 46 of file gntblist.h.

The documentation for this struct was generated from the following file:

- gntblist.h